﻿Shader "mShaders/mSeaShore3" {
  Properties
    {
        _WaterColor ("Water color", Color)  = (0.0, 0.0, 0.5, 1.0)
    }
 
    Subshader
    {
        Tags
        {
            "Queue"="Geometry"  "IgnoreProjector"="True" "RenderType" = "Opaque"
        }
 
        CGPROGRAM
        #pragma surface surf Lambert alpha
        #pragma target 3.0
        #include "UnityCG.cginc"
 
        float4 _WaterColor;
        float _Shininess;
        sampler2D _CameraDepthTexture;
 
        struct Input
        {
            float4 screenPos;
        };
 
        void surf(Input IN, inout SurfaceOutput o)
        {     
        
            float3 normScreenPos = IN.screenPos.xyz / IN.screenPos.w;  
        
			//#if (defined(SHADER_API_GLES) || defined(SHADER_API_GLES3)) && defined(SHADER_API_MOBILE)
			//float sceneZ = Linear01Depth((normScreenPos.z + 1.0f) * 0.5f);                             
			//#else
			float sceneZ = Linear01Depth(normScreenPos.z);             
			//#endif       

            float partZ = -IN.screenPos.y;
            float fade = sceneZ-partZ; // saturate (1 * (sceneZ-partZ));
 
            o.Albedo = _WaterColor;
            o.Alpha = sceneZ*50-partZ/50;
          }
 
        ENDCG
    }
 }